System.ServiceModel 4.0.0.0 System.ServiceModel.Syndication.CategoriesDocumentFormatter System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlRoot("categories", Namespace="http://www.w3.org/2007/app") To be added.

A class that serializes a instance to and from Atom 1.0 format.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class with the specified .

  The to serialize.
- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class with the specified .

  An that can be serialized into an <atom:categories> element within a service document and the set of categories are specified within the element.
  An that can be serialized into an <atom:categories> element within a service document and the set of categories are referenced using an URI.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Verifies whether the specified contains a valid Atom 1.0 categories document.

  A value that specifies whether the contains a valid Atom 1.0 categories document.

  The to read from.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.InlineCategoriesDocument To be added.

  Creates a that can be serialized into a <atom:categories> element within a service document and contains the set of categories within the element.

  Returns an that can be serialized into a <atom:categories> element within a service document.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.ReferencedCategoriesDocument To be added.

  Creates a that can be serialized into a <atom:categories> element within a service document and contains a URI reference to the set of categories within the element.

  Returns a that can be serialized into a <atom:categories> element within a service document.

- Method
  4.0.0.0
  System.Void `` To be added.

  Reads an Atom 1.0 <atom:categories> element from the specified instance.

  The to read from.
- Method
  4.0.0.0
  System.Xml.Schema.XmlSchema

  Override this method to return your own schema.

  Implements the method.

  Null.

- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method.

  The use to read the XML document.
- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method.

  The used to write the XML node.
- Property
  4.0.0.0
  System.String To be added.

  indigo1 supports Atom 1.0 and RSS 2.0 syndication versions.

  Gets the syndication version used by the formatter.

- Method
  4.0.0.0
  System.Void `` To be added.

  Writes the associated with the to the specified .

  The to write to.